package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.WorkCenter;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-05-26
 */
public interface WorkCenterService extends IService<WorkCenter> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<WorkCenter> selectPage(FrontPage<WorkCenter> frontPage, WorkCenter workCenter);

    List<WorkCenter> selectList(WorkCenter workCenter);

    IPage workCenterlist(IPage page,String workCenter);

    List<WorkCenter> getWorkShopList();
}